@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,100..700;1,100..700&display=swap');

* {
    margin: 0;
    border: none;
    box-sizing: border-box;
    font-family: "Josefin Sans",'poppins', sans-serif;
    transition: all 0.2s;
    scroll-behavior: smooth;
}

body {
    color: #ededed;
    background: #1e1e1e;
    width: 98.8vw;
    overflow-x: hidden;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    padding: 20px 10%;
    background: transparent;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}

.topnav {
    display: none;
}

.logo {
    position: relative;
    font-size: 25px;
    color: #ffffff;
    text-decoration: none;
    font-weight: 600;
    opacity: 0;
    animation: slideRight 1s ease forwards;
}

.navbar a {
    display: inline-block;
    font-size: 25px;
    color: #ffffff;
    text-decoration: none;
    font-weight: 500;
    margin-left: 35px;
    transition: .3s;
    animation: slideBottom .5s ease forwards;
}

.navbar a:hover {
    /* color: aqua; */
    font-weight: 700;
}

.home {
    position: relative;
    width: 100%;
    justify-content: space-between;
    height: 100vh;
    /* background: linear-gradient(45deg #efefef #1e1e1e); */
    background: #1e1e1e;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    padding: 70px 10% 0;
}

.home-content {
    width: 750px;
    height: 300px;
    padding: 20px;
    opacity: 0;
    /* display: flex; */
    /* justify-content: center; */
    max-width: 1000px;
    box-shadow: 0 0 10px rgba(240, 240, 240, 0.6);
    border-radius: 10px;
    animation: fadeIn 1s ease forwards;
    animation-delay: 0.5s;
}

.home-content h3 {
    font-size: 32px;
    font-weight: 700;
    opacity: 0;
    animation: slideBottom-50px 1s ease forwards;
    animation-delay: 0.3s;
}

.home-content h1 {
    font-size: 56px;
    font-weight: 700;
    letter-spacing: -8px;
    margin: 15px 0 0 0;
    /* animation: slideRight 1s ease forwards;
    animation-delay: calc(.7s * var(--i)); */
}

.home-content span {
    opacity: 0;
    animation: slideBottom 1s ease forwards;
    animation-delay: calc(.1s * var(--i));
}

.social-icons a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    background: transparent;
    border: 2px solid #ededed;
    border-radius: 50%;
    font-size: 20px;
    color: #ededed;
    text-decoration: none;
    margin: 0px 15px 30px 0 ;
    opacity: 0;
    animation: slideLeft 1s ease forwards;
    animation-delay: calc(.2s * var(--i));
}

.social-icons a:hover {
    background: #ededed;
    color: #1e1e1e;
    box-shadow: 0 0 20px #ededed;
}

.btn-box {
    display: inline-block;
    padding: 12px 28px;
    background: #ededed;
    border-radius: 40px;
    font-size: 16px;
    color: #1e1e1e;
    letter-spacing: 1px;
    text-decoration: none;
    font-weight: 600;
    box-shadow: 0 0 25px #ededed, 0 0 10px #ededed;
    opacity: 0;
    animation: slideTop-50px 1s ease forwards;
    animation-delay: 1s;
}

.btn-box:hover {
    box-shadow: 0 0 5px #ededed, 0 0 25px #ededed, 0 0 50px #ededed, 0 0 100px #ededed, 0 0 200px #ededed;
}

.profile {
    opacity: 0;
    /* float: right; */
    height: 400px;
    border-radius: 50%;
    /* border: 6px solid; */
    box-shadow: 0 0 20px ;
    animation: slideRight 1s ease forwards;
    animation-delay: 0.7s;
}

.profile:hover {
    box-shadow: 0 0 5px #ededed, 0 0 15px #ededed, 0 0 20px #ededed;
}

.about {
    margin: 0 0 20px 0;   
    padding: 100px 0 0 0 ;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: 1.5rem;
}

.about-img img {
    /* height: 100%; */
    /* padding-bottom: 20%; */
    max-width: 900px;
    width: 400px;
    border-radius: 15px;
    box-shadow: 0 0 15px #ededed;
    /* margin: 0 0 0 200px; */
    opacity: 0;
    /* animation: slideLeft 1s ease forwards; */
}

.about-txt {
    margin: -120px 0 0 60px;
    opacity: 0;
    /* animation: slideTop-50px 1s ease forwards; */
}

.about h4 {
    font-size: 35px;
    font-weight: 600;
    color: #ededed;
    line-height: 1.7;
    margin: 15px 0 30px;
}

.about p {
    color: #ededed;
    font-size: 20px;
    line-height: 1.4;
    margin-bottom: 4rem;
}

.skill {
    padding: 120px 0px 30px 70px;
    width: 110%;
}

.skill h1 {
    margin: 30px;
    font-size: 50px;
    font-weight: 500;
    letter-spacing: 1.5px;
    opacity: 0;
}

.skill-content {
    display: grid;
    width: 100%;
    grid-template-columns: repeat(3, 350px);   
    gap: 130px;
    line-height: 1.5;
    text-align: center;
    font-size: 18px;
}

.skill-content > * {
    width: 100%;
    /* height: 650px; */
    box-shadow: 0 0 15px rgba(240, 240, 240, 0.6);
    border-radius: 50px;
    padding: 50px 50px 20px 50px;
    opacity: 0;
    animation-delay: calc(.1s * var(--i));
}

.skill-content > *:hover {
    box-shadow: 0 0 5px #ededed, 0 0 15px #ededed, 0 0 25px #ededed;
    transform: translateY(-20px);
}

.skill-content > * img {
    height: 200px;
}

.cpp img {
    height: 180px;
    margin: 0 0 30px 0;
}

.css img {
    height: 180px;
    margin: 0 0 30px 0;
}

.skillContent {
    animation: slideTop-50px 1s ease forwards;
    animation-delay: calc(.1s * var(--i));
}

.contact-content {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px;
}

.contact-logos a {
    color: #ffffff;
    font-size: 32px;
    /* height: 30px; */
    /* width: 30px; */
}

.slideLeft {
    animation: slideLeft 1s ease forwards;
}

.slideLeft-50px {
    animation: slideLeft-50px 1s ease forwards;
}

.slideRight {
    animation: slideRight 1s ease forwards;
}

.slideTop-50px {
    animation: slideTop-50px 1s ease forwards;
}

.slideTop {
    animation: slideTop 1s ease forwards;
}

.slideBottom {
    animation: slideBottom 1s ease forwards;
}

.slideBottom-50px {
    animation: slideBottom 1s ease forwards;
}

.animationDelay--1s {
    animation-delay: calc(.1s * var(--i));
}

.animationDelay--5s {
    animation-delay: calc(.5s * var(--i));
}

@keyframes slideRight {
    0% {
        transform: translateX(-100px);
        opacity: 0;
    }
    100% {
        transform: translateX(0px);
        opacity: 1;
    }
}

@keyframes slideRight-50px {
    0% {
        transform: translateX(-50px);
        opacity: 0;
    }
    100% {
        transform: translateX(0px);
        opacity: 1;
    }
}

@keyframes slideLeft {
    0% {
        transform: translateX(100px);
        opacity: 0;
    }
    100% {
        transform: translateX(0px);
        opacity: 1;
    }
}

@keyframes slideLeft-50px {
    0% {
        transform: translateX(50px);
        opacity: 0;
    }
    100% {
        transform: translateX(0px);
        opacity: 1;
    }
}

@keyframes slideBottom {
    0% {
        transform: translateY(-100px);
        opacity: 0;
    }
    100% {
        transform: translateY(0px);
        opacity: 1;
    }
}

@keyframes slideBottom-50px {
    0% {
        transform: translateY(-50px);
        opacity: 0;
    }
    100% {
        transform: translateY(0px);
        opacity: 1;
    }
}

@keyframes slideTop-50px {
    0% {
        transform: translateY(50px);
        opacity: 0;
    }
    100% {
        transform: translateY(0px);
        opacity: 1;
    }
}

@keyframes slideTop {
    0% {
        transform: translateY(100px);
        opacity: 0;
    }
    100% {
        transform: translateY(0px);
        opacity: 1;
    }
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

/* Mobile Phone */
@media screen and (max-width: 600px) {
    .header{
        /* padding: 30px 15px; */
        display: none;
    }

    .topnav {
        display: block;
        position: relative;
        width: 114%;
        /* box-shadow: 0 0 15px rgba(240, 240, 240, 0.6); */
    }
    
    .topnav #myLinks {
        display: none;
        background-color: #171717;
    }
    
    .topnav #myLinks > * {
        animation: slideRight-50px 1s ease forwards;
        animation-delay: calc(.2s * var(--i));
    }

    .down {
        animation: slideBottom-50px 1s ease forwards;
        animation-delay: calc(.2s * var(--i));
    }
    
    .topnav a {
        color: white;
        padding: 14px 16px;
        text-decoration: none;
        font-size: 17px;
        display: block;
    }

    .topnav a.icon {
        /* background: black; */
        display: block;
        position: absolute;
        right: 0;
        top: 0;
        padding: 14px -50px 0 0;
    }
    
    .logo {
        font-size: 30px;
    }

    .navbar a {
        font-size: 17px;
        margin-left: 25px;
    }

    .home {
        /* display: grid; */
        display: flex;
        flex-direction: column;
        height: auto; 
        /* grid-template-rows: repeat(2,1fr); */
        align-items: center;
        padding: 100px 0 100px 50px;
    }

    .home-content {
        width : 400px;
        height: 300px;
        padding: 28px;
        margin-top: 90px;
    }

    .home-content h3 {
        font-size: 35px;
    }

    .home-content h1 {
        font-size: 54px;
        margin: 15px 0 5px 0;
    }
    
    .social-icons a {
        width: 57px;
        height: 57px;
        font-size: 25px;
        margin: 0 15px 25px 0;
    }

    .btn-box {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 180px;
        height: 60px;
        font-size: 25px
    }

    .profile {
        height: 400px;
    }

    .about {
        display: grid;
        /* grid-template-columns: repeat(1, 1fr); */
        /* grid-template-rows: repeat(2, 1fr); */
        display: flex;
        flex-direction: column;
        /* height: 750px; */
        margin: 0px;
        width: 100%;
        /* margin: 10px; */
        align-items: center;
        /* padding: 100px 0 0 0; */
    }

    .about-txt h4{
        font-size: 50px;
    }

    .about-txt p {
        font-size: 25px;
    }

    .about-img img{
        max-width: 900px;
        width: 350px;
        border-radius: 15px;
        box-shadow: 0 0 15px #ededed;
        margin: 0 0 0px 40px;
        opacity: 0;
    }
    
    .skill {
        /* width:100vw; */
        padding: 120px 0 80px 30px;
        display:block;
    }
    .skill h1 {
        margin-top: 10px;
    }

    .skill-content {
        grid-template-columns: repeat(2,1fr);
        gap: 20px;
    }

    .skill-content > * {
        padding: 10px 10px 10px 10px;
        font-size: 14px;
    }

    .skill-content > * img {
        height: 140px;
    }

    .cpp img {
        height: 120px;
        margin: 10px 0 0 0;
    }
    
    .css img {
        height: 120px;
        margin: 10px 0 0 0;
    }

    .contact-content {
        padding: 20px 0 20px 50px;
    }

    .contact-logos a {
        font-size: 36px;
    }
}

@media only screen and (min-width: 600px) and (max-width: 768px) {
    .header{
        padding: 30px 19px;
    }
    
    .logo {
        font-size: 45px;
    }

    .navbar a {
        font-size: 32px;
    }

    .home {
        display: flex;
        flex-direction: column;
        height: auto;
        align-items: center;
        padding: 120px 0 100px 0px;
    }

    .home-content {
        width : 600px;
        height: 380px;
        padding: 28px;
        margin-top: 90px;
    }

    .home-content h3 {
        font-size: 50px;
    }

    .home-content h1 {
        font-size: 70px;
    }
    
    .social-icons a {
        width: 75px;
        height: 75px;
        font-size: 35px;
    }

    .btn-box {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 250px;
        height: 70px;
        font-size: 30px
    }

    .profile {
        height: 400px;
    }

    /* .about {
        display: grid;
        grid-template-rows: 1fr;
        height: 100vh;
        margin: 0px;
        width: 100%;
        align-items: center;
    } */

    .about {
        display: flex;
        flex-direction: column;
        margin: 0 0 80px -5px;

    }

    .about-txt {
        /* grid-column: 1/3; */
        margin: 0 40px 0 60px;
    }

    .about-txt h4{
        font-size: 55px;
    }

    .about-txt p {
        font-size: 25px;
    }

    .about-img img{
        max-width: 900px;
        width: 400px;
        border-radius: 15px;
        box-shadow: 0 0 15px #ededed;
        margin: 0 0 0 0px;
        opacity: 0;
    }
}